List batches
curl --request GET \
--url https://api.companyenrich.com/v2/batches \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.companyenrich.com/v2/batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.companyenrich.com/v2/batches"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "<string>",
"status": "pending",
"progress": {
"total": 123,
"pending": 123,
"running": 123,
"succeeded": 123,
"failed": 123,
"unknown": 123,
"cancelled": 123
},
"creditsCharged": 123,
"createdAt": "2023-11-07T05:31:56Z",
"statusUrl": "<string>",
"resultsUrl": "<string>",
"rawResultsUrl": "<string>",
"recordCount": 123,
"recordLimit": 123,
"completedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Batches
List batches
Returns your batches, newest first, with the same status and progress as GET /v2/batches/{id}. To fetch the next page, pass nextCursor as cursor with the same kind.
GET
/
v2
/
batches
List batches
curl --request GET \
--url https://api.companyenrich.com/v2/batches \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.companyenrich.com/v2/batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.companyenrich.com/v2/batches"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "<string>",
"status": "pending",
"progress": {
"total": 123,
"pending": 123,
"running": 123,
"succeeded": 123,
"failed": 123,
"unknown": 123,
"cancelled": 123
},
"creditsCharged": 123,
"createdAt": "2023-11-07T05:31:56Z",
"statusUrl": "<string>",
"resultsUrl": "<string>",
"rawResultsUrl": "<string>",
"recordCount": 123,
"recordLimit": 123,
"completedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Authorizations
API Token used for authentication. Example: "Authorization: Bearer {token}"
Query Parameters
Only return batches of this kind, such as company-enrichment.
Maximum string length:
64The nextCursor from the previous page. Omit for the newest batches.
Maximum string length:
1024The maximum number of batches to return. Defaults to 20.
Required range:
1 <= x <= 100